<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Sat May 11 20:28:16 CEST 2019 -->
<title>Piece</title>
<meta name="date" content="2019-05-11">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Piece";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":9,"i8":10,"i9":10,"i10":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../app/pieces/Pawn.html" title="class in app.pieces"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../app/pieces/Queen.html" title="class in app.pieces"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?app/pieces/Piece.html" target="_top">Frames</a></li>
<li><a href="Piece.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">app.pieces</div>
<h2 title="Class Piece" class="title">Class Piece</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>app.pieces.Piece</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../app/pieces/Bishop.html" title="class in app.pieces">Bishop</a>, <a href="../../app/pieces/King.html" title="class in app.pieces">King</a>, <a href="../../app/pieces/Knight.html" title="class in app.pieces">Knight</a>, <a href="../../app/pieces/Pawn.html" title="class in app.pieces">Pawn</a>, <a href="../../app/pieces/Queen.html" title="class in app.pieces">Queen</a>, <a href="../../app/pieces/Rook.html" title="class in app.pieces">Rook</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">Piece</span>
extends java.lang.Object</pre>
<div class="block">Represents a piece in a chess game.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Jana Balkovicova, Radek Bednar</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/pieces/Piece.html#BLACK">BLACK</a></span></code>
<div class="block">Boolean representation of the black color.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/pieces/Piece.html#WHITE">WHITE</a></span></code>
<div class="block">Boolean representation of the white color.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../app/pieces/Piece.html#Piece-boolean-">Piece</a></span>(boolean&nbsp;color)</code>
<div class="block">Creates a new piece with specified color.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>abstract java.util.ArrayList&lt;<a href="../../app/board/Field.html" title="class in app.board">Field</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/pieces/Piece.html#findPossibleNeighbourMoveFields--">findPossibleNeighbourMoveFields</a></span>()</code>
<div class="block">Returns fields that the piece can legally move to without checking the threat to the king.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/pieces/Piece.html#getColor--">getColor</a></span>()</code>
<div class="block">Returns color of the piece.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/pieces/Piece.html#getIcon--">getIcon</a></span>()</code>
<div class="block">Returns name of the icon file.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../app/board/Field.html" title="class in app.board">Field</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/pieces/Piece.html#getPosition--">getPosition</a></span>()</code>
<div class="block">Returns position of the piece.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>char</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/pieces/Piece.html#getType--">getType</a></span>()</code>
<div class="block">Returns type of the piece.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../app/board/Field.html" title="class in app.board">Field</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/pieces/Piece.html#getValidMoveFields--">getValidMoveFields</a></span>()</code>
<div class="block">Returns fields that the piece can legally move to.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/pieces/Piece.html#moveTo-app.board.Field-">moveTo</a></span>(<a href="../../app/board/Field.html" title="class in app.board">Field</a>&nbsp;moveToField)</code>
<div class="block">Moves piece to the specified board field.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static <a href="../../app/pieces/Piece.html" title="class in app.pieces">Piece</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/pieces/Piece.html#newFromLetter-char-boolean-">newFromLetter</a></span>(char&nbsp;letter,
             boolean&nbsp;color)</code>
<div class="block">Creates new piece by its type specified by letter.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/pieces/Piece.html#setPosition-app.board.Field-">setPosition</a></span>(<a href="../../app/board/Field.html" title="class in app.board">Field</a>&nbsp;position)</code>
<div class="block">Sets the piece position.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/pieces/Piece.html#setValidMoveFields-java.util.ArrayList-">setValidMoveFields</a></span>(java.util.ArrayList&lt;<a href="../../app/board/Field.html" title="class in app.board">Field</a>&gt;&nbsp;validMoveFields)</code>
<div class="block">Sets fields that the piece can legally move to.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/pieces/Piece.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="WHITE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WHITE</h4>
<pre>public static final&nbsp;boolean WHITE</pre>
<div class="block">Boolean representation of the white color.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../constant-values.html#app.pieces.Piece.WHITE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BLACK">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BLACK</h4>
<pre>public static final&nbsp;boolean BLACK</pre>
<div class="block">Boolean representation of the black color.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../constant-values.html#app.pieces.Piece.BLACK">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Piece-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Piece</h4>
<pre>public&nbsp;Piece(boolean&nbsp;color)</pre>
<div class="block">Creates a new piece with specified color.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>color</code> - true, if the piece should be white</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="newFromLetter-char-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>newFromLetter</h4>
<pre>public static&nbsp;<a href="../../app/pieces/Piece.html" title="class in app.pieces">Piece</a>&nbsp;newFromLetter(char&nbsp;letter,
                                  boolean&nbsp;color)</pre>
<div class="block">Creates new piece by its type specified by letter.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>letter</code> - piece type character</dd>
<dd><code>color</code> - true, if the piece should be white</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>new piece specified by letter</dd>
</dl>
</li>
</ul>
<a name="moveTo-app.board.Field-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>moveTo</h4>
<pre>public&nbsp;boolean&nbsp;moveTo(<a href="../../app/board/Field.html" title="class in app.board">Field</a>&nbsp;moveToField)</pre>
<div class="block">Moves piece to the specified board field.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>moveToField</code> - target board field</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if the move is successful</dd>
</dl>
</li>
</ul>
<a name="findPossibleNeighbourMoveFields--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findPossibleNeighbourMoveFields</h4>
<pre>public abstract&nbsp;java.util.ArrayList&lt;<a href="../../app/board/Field.html" title="class in app.board">Field</a>&gt;&nbsp;findPossibleNeighbourMoveFields()</pre>
<div class="block">Returns fields that the piece can legally move to without checking the threat to the king.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>array of possibly legal board fields</dd>
</dl>
</li>
</ul>
<a name="getColor--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getColor</h4>
<pre>public&nbsp;boolean&nbsp;getColor()</pre>
<div class="block">Returns color of the piece.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if the color is white</dd>
</dl>
</li>
</ul>
<a name="getType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getType</h4>
<pre>public&nbsp;char&nbsp;getType()</pre>
<div class="block">Returns type of the piece.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>character representation of the piece type</dd>
</dl>
</li>
</ul>
<a name="getPosition--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPosition</h4>
<pre>public&nbsp;<a href="../../app/board/Field.html" title="class in app.board">Field</a>&nbsp;getPosition()</pre>
<div class="block">Returns position of the piece.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>field that the piece is onto</dd>
</dl>
</li>
</ul>
<a name="setPosition-app.board.Field-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPosition</h4>
<pre>public&nbsp;void&nbsp;setPosition(<a href="../../app/board/Field.html" title="class in app.board">Field</a>&nbsp;position)</pre>
<div class="block">Sets the piece position.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - field that the piece is onto</dd>
</dl>
</li>
</ul>
<a name="getValidMoveFields--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValidMoveFields</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../../app/board/Field.html" title="class in app.board">Field</a>&gt;&nbsp;getValidMoveFields()</pre>
<div class="block">Returns fields that the piece can legally move to.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>array of valid move fields</dd>
</dl>
</li>
</ul>
<a name="setValidMoveFields-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setValidMoveFields</h4>
<pre>public&nbsp;void&nbsp;setValidMoveFields(java.util.ArrayList&lt;<a href="../../app/board/Field.html" title="class in app.board">Field</a>&gt;&nbsp;validMoveFields)</pre>
<div class="block">Sets fields that the piece can legally move to.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>validMoveFields</code> - array of valid move fields</dd>
</dl>
</li>
</ul>
<a name="getIcon--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIcon</h4>
<pre>public&nbsp;java.lang.String&nbsp;getIcon()</pre>
<div class="block">Returns name of the icon file.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>name of the icon file</dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../app/pieces/Pawn.html" title="class in app.pieces"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../app/pieces/Queen.html" title="class in app.pieces"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?app/pieces/Piece.html" target="_top">Frames</a></li>
<li><a href="Piece.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
